Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453689 - AVC when connecting with NetworkManager
Summary: AVC when connecting with NetworkManager
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 23:13 UTC by Martin Nagy
Modified: 2016-07-26 23:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-17 22:04:58 UTC


Attachments (Terms of Use)

Description Martin Nagy 2008-07-01 23:13:54 UTC
Description of problem:
I was trying to connect to the network using ifup script. Later, I tried the
NetworkManager and got these avc:

host=notas type=AVC msg=audit(1214953736.277:425): avc: denied { read } for
pid=2170 comm="NetworkManager" name="dhclient-eth0.pid" dev=dm-1 ino=86431
scontext=system_u:system_r:NetworkManager_t:s0
tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file host=notas type=SYSCALL
msg=audit(1214953736.277:425): arch=40000003 syscall=5 success=no exit=-13
a0=9e6fea0 a1=8000 a2=0 a3=8000 items=0 ppid=1 pid=2170 auid=4294967295 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295
comm="NetworkManager" exe="/usr/sbin/NetworkManager"
subj=system_u:system_r:NetworkManager_t:s0 key=(null) 

host=notas type=AVC msg=audit(1214953736.281:426): avc: denied { read } for
pid=21362 comm="dhclient" name="dhclient-eth0.pid" dev=dm-1 ino=86431
scontext=system_u:system_r:dhcpc_t:s0
tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file host=notas type=SYSCALL
msg=audit(1214953736.281:426): arch=40000003 syscall=5 success=no exit=-13
a0=bff4cea3 a1=0 a2=1b6 a3=0 items=0 ppid=21361 pid=21362 auid=4294967295 uid=0
gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295
comm="dhclient" exe="/sbin/dhclient" subj=system_u:system_r:dhcpc_t:s0 key=(null)

host=notas type=AVC msg=audit(1214953738.17:429): avc: denied { write } for
pid=21362 comm="dhclient" name="dhclient-eth0.pid" dev=dm-1 ino=86431
scontext=system_u:system_r:dhcpc_t:s0
tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file host=notas type=SYSCALL
msg=audit(1214953738.17:429): arch=40000003 syscall=5 success=no exit=-13
a0=bff4cea3 a1=241 a2=1a4 a3=369f4e items=0 ppid=1 pid=21362 auid=4294967295
uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none)
ses=4294967295 comm="dhclient" exe="/sbin/dhclient"
subj=system_u:system_r:dhcpc_t:s0 key=(null) 

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.4.svn3675.fc9.i386
selinux-policy-3.3.1-72.fc9.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2008-07-02 13:20:47 UTC
restorecon -R -v /var/run 
should fix


Comment 2 Daniel Walsh 2008-07-02 13:36:51 UTC
Fixed in selinux-policy-3.3.1-75.fc9.noarch

I fixed the policy to create the file with the proper context.

Comment 3 Daniel Walsh 2008-11-17 22:04:58 UTC
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.


Note You need to log in before you can comment on or make changes to this bug.